source: squid-ssl/trunk/fuentes/helpers/digest_auth/file/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 43.4 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# helpers/digest_auth/file/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92TESTS =
93am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = digest_file_auth$(EXEEXT)
95subdir = helpers/digest_auth/file
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_digest_file_auth_OBJECTS = digest_file_auth.$(OBJEXT) \
165        text_backend.$(OBJEXT)
166digest_file_auth_OBJECTS = $(am_digest_file_auth_OBJECTS)
167digest_file_auth_LDADD = $(LDADD)
168#am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
169am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
170        $(am__DEPENDENCIES_1)
171am__DEPENDENCIES_3 =
172digest_file_auth_DEPENDENCIES =  \
173        $(top_builddir)/lib/libmisccontainers.la \
174        $(top_builddir)/lib/libmiscencoding.la $(am__DEPENDENCIES_2) \
175        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
176        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3)
177AM_V_lt = $(am__v_lt_$(V))
178am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
179am__v_lt_0 = --silent
180am__v_lt_1 = 
181AM_V_P = $(am__v_P_$(V))
182am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
183am__v_P_0 = false
184am__v_P_1 = :
185AM_V_GEN = $(am__v_GEN_$(V))
186am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
187am__v_GEN_0 = @echo "  GEN     " $@;
188am__v_GEN_1 = 
189AM_V_at = $(am__v_at_$(V))
190am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
191am__v_at_0 = @
192am__v_at_1 = 
193DEFAULT_INCLUDES = 
194depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
195am__depfiles_maybe = depfiles
196am__mv = mv -f
197CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
198        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
199LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
200        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
201        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
202        $(AM_CXXFLAGS) $(CXXFLAGS)
203AM_V_CXX = $(am__v_CXX_$(V))
204am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
205am__v_CXX_0 = @echo "  CXX     " $@;
206am__v_CXX_1 = 
207CXXLD = $(CXX)
208CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
209        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
210        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
211AM_V_CXXLD = $(am__v_CXXLD_$(V))
212am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
213am__v_CXXLD_0 = @echo "  CXXLD   " $@;
214am__v_CXXLD_1 = 
215COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
216        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
217LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
218        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
219        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
220        $(AM_CFLAGS) $(CFLAGS)
221AM_V_CC = $(am__v_CC_$(V))
222am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
223am__v_CC_0 = @echo "  CC      " $@;
224am__v_CC_1 = 
225CCLD = $(CC)
226LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
227        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
228        $(AM_LDFLAGS) $(LDFLAGS) -o $@
229AM_V_CCLD = $(am__v_CCLD_$(V))
230am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
231am__v_CCLD_0 = @echo "  CCLD    " $@;
232am__v_CCLD_1 = 
233SOURCES = $(digest_file_auth_SOURCES)
234DIST_SOURCES = $(digest_file_auth_SOURCES)
235am__can_run_installinfo = \
236  case $$AM_UPDATE_INFO_DIR in \
237    n|no|NO) false;; \
238    *) (install-info --version) >/dev/null 2>&1;; \
239  esac
240am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
241am__vpath_adj = case $$p in \
242    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
243    *) f=$$p;; \
244  esac;
245am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
246am__install_max = 40
247am__nobase_strip_setup = \
248  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
249am__nobase_strip = \
250  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
251am__nobase_list = $(am__nobase_strip_setup); \
252  for p in $$list; do echo "$$p $$p"; done | \
253  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
254  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
255    if (++n[$$2] == $(am__install_max)) \
256      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
257    END { for (dir in files) print dir, files[dir] }'
258am__base_list = \
259  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
260  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
261am__uninstall_files_from_dir = { \
262  test -z "$$files" \
263    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
264    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
265         $(am__cd) "$$dir" && rm -f $$files; }; \
266  }
267man8dir = $(mandir)/man8
268NROFF = nroff
269MANS = $(man_MANS)
270am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
271# Read a list of newline-separated strings from the standard input,
272# and print each of them once, without duplicates.  Input order is
273# *not* preserved.
274am__uniquify_input = $(AWK) '\
275  BEGIN { nonempty = 0; } \
276  { items[$$0] = 1; nonempty = 1; } \
277  END { if (nonempty) { for (i in items) print i; }; } \
278'
279# Make sure the list of sources is unique.  This is necessary because,
280# e.g., the same source file might be shared among _SOURCES variables
281# for different programs/libraries.
282am__define_uniq_tagged_files = \
283  list='$(am__tagged_files)'; \
284  unique=`for i in $$list; do \
285    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
286  done | $(am__uniquify_input)`
287ETAGS = etags
288CTAGS = ctags
289am__tty_colors_dummy = \
290  mgn= red= grn= lgn= blu= brg= std=; \
291  am__color_tests=no
292am__tty_colors = { \
293  $(am__tty_colors_dummy); \
294  if test "X$(AM_COLOR_TESTS)" = Xno; then \
295    am__color_tests=no; \
296  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
297    am__color_tests=yes; \
298  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
299    am__color_tests=yes; \
300  fi; \
301  if test $$am__color_tests = yes; then \
302    red='[0;31m'; \
303    grn='[0;32m'; \
304    lgn='[1;32m'; \
305    blu='[1;34m'; \
306    mgn='[0;35m'; \
307    brg='[1m'; \
308    std='[m'; \
309  fi; \
310}
311am__recheck_rx = ^[     ]*:recheck:[    ]*
312am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
313am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
314# A command that, given a newline-separated list of test names on the
315# standard input, print the name of the tests that are to be re-run
316# upon "make recheck".
317am__list_recheck_tests = $(AWK) '{ \
318  recheck = 1; \
319  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
320    { \
321      if (rc < 0) \
322        { \
323          if ((getline line2 < ($$0 ".log")) < 0) \
324            recheck = 0; \
325          break; \
326        } \
327      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
328        { \
329          recheck = 0; \
330          break; \
331        } \
332      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
333        { \
334          break; \
335        } \
336    }; \
337  if (recheck) \
338    print $$0; \
339  close ($$0 ".trs"); \
340  close ($$0 ".log"); \
341}'
342# A command that, given a newline-separated list of test names on the
343# standard input, create the global log from their .trs and .log files.
344am__create_global_log = $(AWK) ' \
345function fatal(msg) \
346{ \
347  print "fatal: making $@: " msg | "cat >&2"; \
348  exit 1; \
349} \
350function rst_section(header) \
351{ \
352  print header; \
353  len = length(header); \
354  for (i = 1; i <= len; i = i + 1) \
355    printf "="; \
356  printf "\n\n"; \
357} \
358{ \
359  copy_in_global_log = 1; \
360  global_test_result = "RUN"; \
361  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
362    { \
363      if (rc < 0) \
364         fatal("failed to read from " $$0 ".trs"); \
365      if (line ~ /$(am__global_test_result_rx)/) \
366        { \
367          sub("$(am__global_test_result_rx)", "", line); \
368          sub("[        ]*$$", "", line); \
369          global_test_result = line; \
370        } \
371      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
372        copy_in_global_log = 0; \
373    }; \
374  if (copy_in_global_log) \
375    { \
376      rst_section(global_test_result ": " $$0); \
377      while ((rc = (getline line < ($$0 ".log"))) != 0) \
378      { \
379        if (rc < 0) \
380          fatal("failed to read from " $$0 ".log"); \
381        print line; \
382      }; \
383      printf "\n"; \
384    }; \
385  close ($$0 ".trs"); \
386  close ($$0 ".log"); \
387}'
388# Restructured Text title.
389am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
390# Solaris 10 'make', and several other traditional 'make' implementations,
391# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
392# by disabling -e (using the XSI extension "set +e") if it's set.
393am__sh_e_setup = case $$- in *e*) set +e;; esac
394# Default flags passed to test drivers.
395am__common_driver_flags = \
396  --color-tests "$$am__color_tests" \
397  --enable-hard-errors "$$am__enable_hard_errors" \
398  --expect-failure "$$am__expect_failure"
399# To be inserted before the command running the test.  Creates the
400# directory for the log if needed.  Stores in $dir the directory
401# containing $f, in $tst the test, in $log the log.  Executes the
402# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
403# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
404# will run the test scripts (or their associated LOG_COMPILER, if
405# thy have one).
406am__check_pre = \
407$(am__sh_e_setup);                                      \
408$(am__vpath_adj_setup) $(am__vpath_adj)                 \
409$(am__tty_colors);                                      \
410srcdir=$(srcdir); export srcdir;                        \
411case "$@" in                                            \
412  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
413    *) am__odir=.;;                                     \
414esac;                                                   \
415test "x$$am__odir" = x"." || test -d "$$am__odir"       \
416  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
417if test -f "./$$f"; then dir=./;                        \
418elif test -f "$$f"; then dir=;                          \
419else dir="$(srcdir)/"; fi;                              \
420tst=$$dir$$f; log='$@';                                 \
421if test -n '$(DISABLE_HARD_ERRORS)'; then               \
422  am__enable_hard_errors=no;                            \
423else                                                    \
424  am__enable_hard_errors=yes;                           \
425fi;                                                     \
426case " $(XFAIL_TESTS) " in                              \
427  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
428    am__expect_failure=yes;;                            \
429  *)                                                    \
430    am__expect_failure=no;;                             \
431esac;                                                   \
432$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
433# A shell command to get the names of the tests scripts with any registered
434# extension removed (i.e., equivalently, the names of the test logs, with
435# the '.log' extension removed).  The result is saved in the shell variable
436# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
437# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
438# since that might cause problem with VPATH rewrites for suffix-less tests.
439# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
440am__set_TESTS_bases = \
441  bases='$(TEST_LOGS)'; \
442  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
443  bases=`echo $$bases`
444RECHECK_LOGS = $(TEST_LOGS)
445AM_RECURSIVE_TARGETS = check recheck
446TEST_SUITE_LOG = test-suite.log
447TEST_EXTENSIONS =  .test
448am__test_logs1 = $(TESTS:=.log)
449am__test_logs2 = $(am__test_logs1:.log=.log)
450TEST_LOGS = $(am__test_logs2:.test.log=.log)
451TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
452TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
453        $(TEST_LOG_FLAGS)
454am__set_b = \
455  case '$@' in \
456    */*) \
457      case '$*' in \
458        */*) b='$*';; \
459          *) b=`echo '$@' | sed 's/\.log$$//'`; \
460       esac;; \
461    *) \
462      b='$*';; \
463  esac
464am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
465        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
466DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
467ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
468ADAPTATION_LIBS = adaptation/libadaptation.la
469ALLOCA =
470AMTAR = $${TAR-tar}
471AM_DEFAULT_VERBOSITY = 1
472AR = /usr/bin/ar
473AR_R = /usr/bin/ar r
474AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
475AUTH_MODULES =  basic digest negotiate ntlm
476AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
477AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
478AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
479AWK = gawk
480BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
481BUILDCXX = g++
482BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
483BZR =
484CACHE_EFFECTIVE_USER = proxy
485CC = gcc
486CCDEPMODE = depmode=none
487CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
488CGIEXT = .cgi
489CHMOD = /bin/chmod
490CPP = gcc -E
491CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
492CPPUNITCONFIG = /usr/bin/cppunit-config
493CRYPTLIB = -lcrypt
494CXX = g++
495CXXCPP = g++ -E
496CXXDEPMODE = depmode=none
497CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
498CYGPATH_W = echo
499DEFAULT_HOSTS = /etc/hosts
500DEFAULT_LOG_DIR = /var/log/squid-ssl
501DEFAULT_PID_FILE = /var/run/squid-ssl.pid
502DEFAULT_SWAP_DIR = /var/spool/squid-ssl
503DEFS = -DHAVE_CONFIG_H
504DEPDIR = .deps
505DIGEST_AUTH_HELPERS =  file LDAP
506DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
507DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
508DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
509DISK_OS_LIBS =  -lrt -lpthread
510DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
511DLLTOOL = false
512DSYMUTIL =
513DUMPBIN =
514ECAP_LIBS = ecap/libsquid-ecap.la
515ECHO_C =
516ECHO_N = -n
517ECHO_T =
518EGREP = /bin/egrep
519EPOLL_LIBS =
520EUILIB =
521EXEEXT =
522EXPATLIB = -lexpat
523EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
524EXT_LIBECAP_CFLAGS =
525EXT_LIBECAP_LIBS = -lecap
526FALSE = /bin/false
527FGREP = /bin/fgrep
528GREP = grep
529HAVE_CXX11 = 1
530ICAP_LIBS = icap/libicap.la
531INCLTDL =
532INSTALL = /usr/bin/install -c
533INSTALL_DATA = ${INSTALL} -m 644
534INSTALL_PROGRAM = ${INSTALL}
535INSTALL_SCRIPT = ${INSTALL}
536INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
537KRB5INCS = -isystem /usr/include/mit-krb5
538KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
539LBERLIB = -llber
540LD = /usr/bin/ld -m elf_x86_64
541LDAPLIB = -lldap
542LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
543LIBADD_DL = -ldl
544LIBADD_DLD_LINK =
545LIBADD_DLOPEN = -ldl
546LIBADD_SHL_LOAD =
547LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
548LIBGNUTLS_LIBS = -lgnutls
549LIBLTDL = -lltdl
550LIBOBJS =
551LIBOPENSSL_CFLAGS =
552LIBOPENSSL_LIBS = -lssl -lcrypto
553LIBS =
554LIBSASL = -lsasl2
555LIBTOOL = $(SHELL) $(top_builddir)/libtool
556LIB_DB = -ldb
557LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
558LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
559LINUXDOC = /bin/false
560LIPO =
561LN = /bin/ln
562LN_S = ln -s
563LOG_DAEMON_HELPERS =  DB file
564LTDLDEPS =
565LTDLINCL =
566LTDLOPEN = libltdl
567LTLIBOBJS =
568LT_ARGZ_H =
569LT_CONFIG_H = include/autoconf.h
570LT_DLLOADERS =  libltdl/dlopen.la
571LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
572LT_SYS_LIBRARY_PATH =
573MAINT = #
574MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
575MANIFEST_TOOL = :
576MINGW_LIBS =
577MKDIR = /bin/mkdir
578MKDIR_P = /bin/mkdir -p
579MV = /bin/mv
580NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
581NETTLELIB =  -lnettle
582NM = /usr/bin/nm -B
583NMEDIT =
584NTLM_AUTH_HELPERS =  fake smb_lm
585OBJDUMP = objdump
586OBJEXT = o
587OTOOL =
588OTOOL64 =
589PACKAGE = squid
590PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
591PACKAGE_NAME = Squid Web Proxy
592PACKAGE_STRING = Squid Web Proxy 3.5.12
593PACKAGE_TARNAME = squid
594PACKAGE_URL =
595PACKAGE_VERSION = 3.5.12
596PATH_SEPARATOR = :
597PERL = /usr/bin/perl
598PKG_CONFIG = /usr/bin/pkg-config
599PKG_CONFIG_LIBDIR =
600PKG_CONFIG_PATH =
601PO2HTML = off
602PO2TEXT = off
603POD2MAN = /usr/bin/pod2man
604RANLIB = ranlib
605REGEXLIB =
606REPL_LIBS = liblru.a libheap.a
607REPL_OBJS = repl/liblru.a repl/libheap.a
608REPL_POLICIES = lru heap
609RM = /bin/rm -f
610SED = /bin/sed
611SET_MAKE =
612SH = /bin/sh
613SHELL = /bin/bash
614SMBCLIENT = /usr/bin/smbclient
615SNMPLIB = ../lib/snmplib/libsnmplib.la
616SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
617SQUID_CPPUNIT_INC =
618SQUID_CPPUNIT_LA =
619SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
620SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
621SSLLIB =  -lssl -lcrypto  -lgnutls
622STOREID_REWRITE_HELPERS =  file
623STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
624STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
625STORE_TESTS =
626STRIP = strip
627TR = /usr/bin/tr
628TRUE = /bin/true
629URL_REWRITE_HELPERS =  fake
630VERSION = 3.5.12
631WBINFO =
632WIN32_PSAPI =
633XMLLIB = -lxml2
634XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
635XTRA_OBJS =
636abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/digest_auth/file
637abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/digest_auth/file
638abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
639abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
640ac_ct_AR =
641ac_ct_CC = gcc
642ac_ct_CXX = g++
643ac_ct_DUMPBIN =
644am__include = include
645am__leading_dot = .
646am__quote =
647am__tar = tar --format=ustar -chf - "$$tardir"
648am__untar = tar -xf -
649bindir = ${exec_prefix}/bin
650build = x86_64-pc-linux-gnu
651build_alias = x86_64-linux-gnu
652build_cpu = x86_64
653build_os = linux-gnu
654build_vendor = pc
655builddir = .
656datadir = /usr/share/squid-ssl
657datarootdir = ${prefix}/share
658docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
659dvidir = ${docdir}
660exec_prefix = ${prefix}
661host = x86_64-pc-linux-gnu
662host_alias =
663host_cpu = x86_64
664host_os = linux-gnu
665host_vendor = pc
666htmldir = ${docdir}
667includedir = ${prefix}/include
668infodir = ${prefix}/share/info
669install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
670krb5_config =
671libdir = ${exec_prefix}/lib
672libexecdir = /usr/lib/squid-ssl
673localedir = ${datarootdir}/locale
674localstatedir = /var
675ltdl_LIBOBJS =  lt__strl.o
676ltdl_LTLIBOBJS =  lt__strl.lo
677mandir = /usr/share/man
678mkdir_p = $(MKDIR_P)
679oldincludedir = /usr/include
680pdfdir = ${docdir}
681prefix = /usr
682program_transform_name = s&$$&-ssl&
683psdir = ${docdir}
684runstatedir = ${localstatedir}/run
685sbindir = ${exec_prefix}/sbin
686sharedstatedir = ${prefix}/com
687srcdir = .
688subdirs =  libltdl
689sys_symbol_underscore = no
690sysconfdir = /etc/squid-ssl
691target_alias =
692top_build_prefix = ../../../
693top_builddir = ../../..
694top_srcdir = ../../..
695AM_CFLAGS = $(SQUID_CFLAGS)
696AM_CXXFLAGS = $(SQUID_CXXFLAGS)
697CLEANFILES =
698AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
699        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
700        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
701        $(am__append_1) -I$(srcdir)
702LIBPROFILER =
703#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
704COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
705subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
706man_MANS = digest_file_auth.8
707digest_file_auth_SOURCES = digest_file_auth.cc \
708        digest_common.h \
709        text_backend.cc \
710        text_backend.h
711
712LDADD = \
713        $(top_builddir)/lib/libmisccontainers.la \
714        $(top_builddir)/lib/libmiscencoding.la \
715        $(COMPAT_LIB) \
716        $(NETTLELIB) \
717        $(CRYPTLIB) \
718        $(SSLLIB) \
719        $(XTRA_LIBS)
720
721EXTRA_DIST = digest_file_auth.8 required.m4
722all: all-am
723
724.SUFFIXES:
725.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
726$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
727        @for dep in $?; do \
728          case '$(am__configure_deps)' in \
729            *$$dep*) \
730              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
731                && { if test -f $@; then exit 0; else break; fi; }; \
732              exit 1;; \
733          esac; \
734        done; \
735        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu helpers/digest_auth/file/Makefile'; \
736        $(am__cd) $(top_srcdir) && \
737          $(AUTOMAKE) --gnu helpers/digest_auth/file/Makefile
738Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
739        @case '$?' in \
740          *config.status*) \
741            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
742          *) \
743            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
744            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
745        esac;
746$(top_srcdir)/src/Common.am $(am__empty):
747
748$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
749        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
750
751$(top_srcdir)/configure: # $(am__configure_deps)
752        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
753$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
754        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
755$(am__aclocal_m4_deps):
756
757clean-checkPROGRAMS:
758        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
759        echo " rm -f" $$list; \
760        rm -f $$list || exit $$?; \
761        test -n "$(EXEEXT)" || exit 0; \
762        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
763        echo " rm -f" $$list; \
764        rm -f $$list
765install-libexecPROGRAMS: $(libexec_PROGRAMS)
766        @$(NORMAL_INSTALL)
767        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
768        if test -n "$$list"; then \
769          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
770          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
771        fi; \
772        for p in $$list; do echo "$$p $$p"; done | \
773        sed 's/$(EXEEXT)$$//' | \
774        while read p p1; do if test -f $$p \
775         || test -f $$p1 \
776          ; then echo "$$p"; echo "$$p"; else :; fi; \
777        done | \
778        sed -e 'p;s,.*/,,;n;h' \
779            -e 's|.*|.|' \
780            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
781        sed 'N;N;N;s,\n, ,g' | \
782        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
783          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
784            if ($$2 == $$4) files[d] = files[d] " " $$1; \
785            else { print "f", $$3 "/" $$4, $$1; } } \
786          END { for (d in files) print "f", d, files[d] }' | \
787        while read type dir files; do \
788            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
789            test -z "$$files" || { \
790            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
791            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
792            } \
793        ; done
794
795uninstall-libexecPROGRAMS:
796        @$(NORMAL_UNINSTALL)
797        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
798        files=`for p in $$list; do echo "$$p"; done | \
799          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
800              -e 's/$$/$(EXEEXT)/' \
801        `; \
802        test -n "$$list" || exit 0; \
803        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
804        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
805
806clean-libexecPROGRAMS:
807        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
808        echo " rm -f" $$list; \
809        rm -f $$list || exit $$?; \
810        test -n "$(EXEEXT)" || exit 0; \
811        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
812        echo " rm -f" $$list; \
813        rm -f $$list
814
815digest_file_auth$(EXEEXT): $(digest_file_auth_OBJECTS) $(digest_file_auth_DEPENDENCIES) $(EXTRA_digest_file_auth_DEPENDENCIES) 
816        @rm -f digest_file_auth$(EXEEXT)
817        $(AM_V_CXXLD)$(CXXLINK) $(digest_file_auth_OBJECTS) $(digest_file_auth_LDADD) $(LIBS)
818
819mostlyclean-compile:
820        -rm -f *.$(OBJEXT)
821
822distclean-compile:
823        -rm -f *.tab.c
824
825#include ./$(DEPDIR)/digest_file_auth.Po
826#include ./$(DEPDIR)/text_backend.Po
827
828.cc.o:
829#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
830#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
831#       $(am__mv) $$depbase.Tpo $$depbase.Po
832#       $(AM_V_CXX)source='$<' object='$@' libtool=no
833#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
834        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
835
836.cc.obj:
837#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
838#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
839#       $(am__mv) $$depbase.Tpo $$depbase.Po
840#       $(AM_V_CXX)source='$<' object='$@' libtool=no
841#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
842        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
843
844.cc.lo:
845#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
846#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
847#       $(am__mv) $$depbase.Tpo $$depbase.Plo
848#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
849#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
850        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
851
852mostlyclean-libtool:
853        -rm -f *.lo
854
855clean-libtool:
856        -rm -rf .libs _libs
857install-man8: $(man_MANS)
858        @$(NORMAL_INSTALL)
859        @list1=''; \
860        list2='$(man_MANS)'; \
861        test -n "$(man8dir)" \
862          && test -n "`echo $$list1$$list2`" \
863          || exit 0; \
864        echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
865        $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
866        { for i in $$list1; do echo "$$i"; done\
867        if test -n "$$list2"; then \
868          for i in $$list2; do echo "$$i"; done \
869            | sed -n '/\.8[a-z]*$$/p'; \
870        fi; \
871        } | while read p; do \
872          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
873          echo "$$d$$p"; echo "$$p"; \
874        done | \
875        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
876              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
877        sed 'N;N;s,\n, ,g' | { \
878        list=; while read file base inst; do \
879          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
880            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
881            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
882          fi; \
883        done; \
884        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
885        while read files; do \
886          test -z "$$files" || { \
887            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
888            $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
889        done; }
890
891uninstall-man8:
892        @$(NORMAL_UNINSTALL)
893        @list=''; test -n "$(man8dir)" || exit 0; \
894        files=`{ for i in $$list; do echo "$$i"; done; \
895        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
896          sed -n '/\.8[a-z]*$$/p'; \
897        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
898              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
899        dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
900
901ID: $(am__tagged_files)
902        $(am__define_uniq_tagged_files); mkid -fID $$unique
903tags: tags-am
904TAGS: tags
905
906tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
907        set x; \
908        here=`pwd`; \
909        $(am__define_uniq_tagged_files); \
910        shift; \
911        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
912          test -n "$$unique" || unique=$$empty_fix; \
913          if test $$# -gt 0; then \
914            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
915              "$$@" $$unique; \
916          else \
917            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
918              $$unique; \
919          fi; \
920        fi
921ctags: ctags-am
922
923CTAGS: ctags
924ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
925        $(am__define_uniq_tagged_files); \
926        test -z "$(CTAGS_ARGS)$$unique" \
927          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
928             $$unique
929
930GTAGS:
931        here=`$(am__cd) $(top_builddir) && pwd` \
932          && $(am__cd) $(top_srcdir) \
933          && gtags -i $(GTAGS_ARGS) "$$here"
934cscopelist: cscopelist-am
935
936cscopelist-am: $(am__tagged_files)
937        list='$(am__tagged_files)'; \
938        case "$(srcdir)" in \
939          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
940          *) sdir=$(subdir)/$(srcdir) ;; \
941        esac; \
942        for i in $$list; do \
943          if test -f "$$i"; then \
944            echo "$(subdir)/$$i"; \
945          else \
946            echo "$$sdir/$$i"; \
947          fi; \
948        done >> $(top_builddir)/cscope.files
949
950distclean-tags:
951        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
952
953# Recover from deleted '.trs' file; this should ensure that
954# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
955# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
956# to avoid problems with "make -n".
957.log.trs:
958        rm -f $< $@
959        $(MAKE) $(AM_MAKEFLAGS) $<
960
961# Leading 'am--fnord' is there to ensure the list of targets does not
962# expand to empty, as could happen e.g. with make check TESTS=''.
963am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
964am--force-recheck:
965        @:
966
967$(TEST_SUITE_LOG): $(TEST_LOGS)
968        @$(am__set_TESTS_bases); \
969        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
970        redo_bases=`for i in $$bases; do \
971                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
972                    done`; \
973        if test -n "$$redo_bases"; then \
974          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
975          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
976          if $(am__make_dryrun); then :; else \
977            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
978          fi; \
979        fi; \
980        if test -n "$$am__remaking_logs"; then \
981          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
982               "recursion detected" >&2; \
983        elif test -n "$$redo_logs"; then \
984          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
985        fi; \
986        if $(am__make_dryrun); then :; else \
987          st=0;  \
988          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
989          for i in $$redo_bases; do \
990            test -f $$i.trs && test -r $$i.trs \
991              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
992            test -f $$i.log && test -r $$i.log \
993              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
994          done; \
995          test $$st -eq 0 || exit 1; \
996        fi
997        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
998        ws='[   ]'; \
999        results=`for b in $$bases; do echo $$b.trs; done`; \
1000        test -n "$$results" || results=/dev/null; \
1001        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1002        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1003        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1004        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1005        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1006        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1007        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1008        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1009          success=true; \
1010        else \
1011          success=false; \
1012        fi; \
1013        br='==================='; br=$$br$$br$$br$$br; \
1014        result_count () \
1015        { \
1016            if test x"$$1" = x"--maybe-color"; then \
1017              maybe_colorize=yes; \
1018            elif test x"$$1" = x"--no-color"; then \
1019              maybe_colorize=no; \
1020            else \
1021              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1022            fi; \
1023            shift; \
1024            desc=$$1 count=$$2; \
1025            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1026              color_start=$$3 color_end=$$std; \
1027            else \
1028              color_start= color_end=; \
1029            fi; \
1030            echo "$${color_start}# $$desc $$count$${color_end}"; \
1031        }; \
1032        create_testsuite_report () \
1033        { \
1034          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1035          result_count $$1 "PASS: " $$pass  "$$grn"; \
1036          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1037          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1038          result_count $$1 "FAIL: " $$fail  "$$red"; \
1039          result_count $$1 "XPASS:" $$xpass "$$red"; \
1040          result_count $$1 "ERROR:" $$error "$$mgn"; \
1041        }; \
1042        {                                                               \
1043          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1044            $(am__rst_title);                                           \
1045          create_testsuite_report --no-color;                           \
1046          echo;                                                         \
1047          echo ".. contents:: :depth: 2";                               \
1048          echo;                                                         \
1049          for b in $$bases; do echo $$b; done                           \
1050            | $(am__create_global_log);                                 \
1051        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1052        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1053        if $$success; then                                              \
1054          col="$$grn";                                                  \
1055         else                                                           \
1056          col="$$red";                                                  \
1057          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1058        fi;                                                             \
1059        echo "$${col}$$br$${std}";                                      \
1060        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1061        echo "$${col}$$br$${std}";                                      \
1062        create_testsuite_report --maybe-color;                          \
1063        echo "$$col$$br$$std";                                          \
1064        if $$success; then :; else                                      \
1065          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1066          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1067            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1068          fi;                                                           \
1069          echo "$$col$$br$$std";                                        \
1070        fi;                                                             \
1071        $$success || exit 1
1072
1073check-TESTS:
1074        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1075        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1076        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1077        @set +e; $(am__set_TESTS_bases); \
1078        log_list=`for i in $$bases; do echo $$i.log; done`; \
1079        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1080        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1081        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1082        exit $$?;
1083recheck: all $(check_PROGRAMS)
1084        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1085        @set +e; $(am__set_TESTS_bases); \
1086        bases=`for i in $$bases; do echo $$i; done \
1087                 | $(am__list_recheck_tests)` || exit 1; \
1088        log_list=`for i in $$bases; do echo $$i.log; done`; \
1089        log_list=`echo $$log_list`; \
1090        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1091                am__force_recheck=am--force-recheck \
1092                TEST_LOGS="$$log_list"; \
1093        exit $$?
1094.test.log:
1095        @p='$<'; \
1096        $(am__set_b); \
1097        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1098        --log-file $$b.log --trs-file $$b.trs \
1099        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1100        "$$tst" $(AM_TESTS_FD_REDIRECT)
1101#.test$(EXEEXT).log:
1102#       @p='$<'; \
1103#       $(am__set_b); \
1104#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1105#       --log-file $$b.log --trs-file $$b.trs \
1106#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1107#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1108
1109distdir: $(DISTFILES)
1110        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1111        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1112        list='$(DISTFILES)'; \
1113          dist_files=`for file in $$list; do echo $$file; done | \
1114          sed -e "s|^$$srcdirstrip/||;t" \
1115              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1116        case $$dist_files in \
1117          */*) $(MKDIR_P) `echo "$$dist_files" | \
1118                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1119                           sort -u` ;; \
1120        esac; \
1121        for file in $$dist_files; do \
1122          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1123          if test -d $$d/$$file; then \
1124            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1125            if test -d "$(distdir)/$$file"; then \
1126              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1127            fi; \
1128            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1129              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1130              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1131            fi; \
1132            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1133          else \
1134            test -f "$(distdir)/$$file" \
1135            || cp -p $$d/$$file "$(distdir)/$$file" \
1136            || exit 1; \
1137          fi; \
1138        done
1139check-am: all-am
1140        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1141        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1142check: check-am
1143all-am: Makefile $(PROGRAMS) $(MANS)
1144installdirs:
1145        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
1146          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1147        done
1148install: install-am
1149install-exec: install-exec-am
1150install-data: install-data-am
1151uninstall: uninstall-am
1152
1153install-am: all-am
1154        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1155
1156installcheck: installcheck-am
1157install-strip:
1158        if test -z '$(STRIP)'; then \
1159          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1160            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1161              install; \
1162        else \
1163          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1164            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1165            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1166        fi
1167mostlyclean-generic:
1168        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1169        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1170        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1171
1172clean-generic:
1173        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1174
1175distclean-generic:
1176        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1177        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1178
1179maintainer-clean-generic:
1180        @echo "This command is intended for maintainers to use"
1181        @echo "it deletes files that may require special tools to rebuild."
1182clean: clean-am
1183
1184clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1185        clean-libtool mostlyclean-am
1186
1187distclean: distclean-am
1188        -rm -rf ./$(DEPDIR)
1189        -rm -f Makefile
1190distclean-am: clean-am distclean-compile distclean-generic \
1191        distclean-tags
1192
1193dvi: dvi-am
1194
1195dvi-am:
1196
1197html: html-am
1198
1199html-am:
1200
1201info: info-am
1202
1203info-am:
1204
1205install-data-am: install-man
1206
1207install-dvi: install-dvi-am
1208
1209install-dvi-am:
1210
1211install-exec-am: install-libexecPROGRAMS
1212
1213install-html: install-html-am
1214
1215install-html-am:
1216
1217install-info: install-info-am
1218
1219install-info-am:
1220
1221install-man: install-man8
1222
1223install-pdf: install-pdf-am
1224
1225install-pdf-am:
1226
1227install-ps: install-ps-am
1228
1229install-ps-am:
1230
1231installcheck-am:
1232
1233maintainer-clean: maintainer-clean-am
1234        -rm -rf ./$(DEPDIR)
1235        -rm -f Makefile
1236maintainer-clean-am: distclean-am maintainer-clean-generic
1237
1238mostlyclean: mostlyclean-am
1239
1240mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1241        mostlyclean-libtool
1242
1243pdf: pdf-am
1244
1245pdf-am:
1246
1247ps: ps-am
1248
1249ps-am:
1250
1251uninstall-am: uninstall-libexecPROGRAMS uninstall-man
1252
1253uninstall-man: uninstall-man8
1254
1255.MAKE: check-am install-am install-strip
1256
1257.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1258        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1259        clean-libtool cscopelist-am ctags ctags-am distclean \
1260        distclean-compile distclean-generic distclean-libtool \
1261        distclean-tags distdir dvi dvi-am html html-am info info-am \
1262        install install-am install-data install-data-am install-dvi \
1263        install-dvi-am install-exec install-exec-am install-html \
1264        install-html-am install-info install-info-am \
1265        install-libexecPROGRAMS install-man install-man8 install-pdf \
1266        install-pdf-am install-ps install-ps-am install-strip \
1267        installcheck installcheck-am installdirs maintainer-clean \
1268        maintainer-clean-generic mostlyclean mostlyclean-compile \
1269        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1270        recheck tags tags-am uninstall uninstall-am \
1271        uninstall-libexecPROGRAMS uninstall-man uninstall-man8
1272
1273.PRECIOUS: Makefile
1274
1275
1276$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1277
1278# Tell versions [3.59,3.63) of GNU make to not export all variables.
1279# Otherwise a system limit (for SysV at least) may be exceeded.
1280.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.